/***************************************************************************
                     DeclareIfHaveCuda.h  -  description
                             -------------------
    begin                : Jun 20, 2017
    copyright            : (C) 2017 by Tomas Oberhuber et al.
    email                : tomas.oberhuber@fjfi.cvut.cz
 ***************************************************************************/

/* See Copyright Notice in tnl/Copyright */

#pragma once
// The DECLARE_IF_HAVE_CUDA macro has to be in a separate header file to avoid
// infinite loops by the #include directives.

/***
 * This macro is used to hide unused variables due to
 * missing cuda.
 */
#ifdef HAVE_CUDA
   #define DECLARE_IF_HAVE_CUDA(arg) arg
#else
   #define DECLARE_IF_HAVE_CUDA(arg)
#endif
